1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88subdir = .
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92	$(ACLOCAL_M4)
93DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94	$(am__configure_deps) $(am__DIST_COMMON)
95am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96 configure.lineno config.status.lineno
97mkinstalldirs = $(install_sh) -d
98CONFIG_HEADER = config.h
99CONFIG_CLEAN_FILES =
100CONFIG_CLEAN_VPATH_FILES =
101AM_V_P = $(am__v_P_@AM_V@)
102am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103am__v_P_0 = false
104am__v_P_1 = :
105AM_V_GEN = $(am__v_GEN_@AM_V@)
106am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107am__v_GEN_0 = @echo "  GEN     " $@;
108am__v_GEN_1 =
109AM_V_at = $(am__v_at_@AM_V@)
110am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111am__v_at_0 = @
112am__v_at_1 =
113SOURCES =
114DIST_SOURCES =
115RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116	ctags-recursive dvi-recursive html-recursive info-recursive \
117	install-data-recursive install-dvi-recursive \
118	install-exec-recursive install-html-recursive \
119	install-info-recursive install-pdf-recursive \
120	install-ps-recursive install-recursive installcheck-recursive \
121	installdirs-recursive pdf-recursive ps-recursive \
122	tags-recursive uninstall-recursive
123am__can_run_installinfo = \
124  case $$AM_UPDATE_INFO_DIR in \
125    n|no|NO) false;; \
126    *) (install-info --version) >/dev/null 2>&1;; \
127  esac
128am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129am__vpath_adj = case $$p in \
130    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131    *) f=$$p;; \
132  esac;
133am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134am__install_max = 40
135am__nobase_strip_setup = \
136  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137am__nobase_strip = \
138  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139am__nobase_list = $(am__nobase_strip_setup); \
140  for p in $$list; do echo "$$p $$p"; done | \
141  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143    if (++n[$$2] == $(am__install_max)) \
144      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145    END { for (dir in files) print dir, files[dir] }'
146am__base_list = \
147  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149am__uninstall_files_from_dir = { \
150  test -z "$$files" \
151    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
152    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
153         $(am__cd) "$$dir" && rm -f $$files; }; \
154  }
155man1dir = $(mandir)/man1
156am__installdirs = "$(DESTDIR)$(man1dir)"
157NROFF = nroff
158MANS = $(man_MANS)
159RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
160  distclean-recursive maintainer-clean-recursive
161am__recursive_targets = \
162  $(RECURSIVE_TARGETS) \
163  $(RECURSIVE_CLEAN_TARGETS) \
164  $(am__extra_recursive_targets)
165AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
166	cscope distdir dist dist-all distcheck
167am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
168	$(LISP)config.h.in
169# Read a list of newline-separated strings from the standard input,
170# and print each of them once, without duplicates.  Input order is
171# *not* preserved.
172am__uniquify_input = $(AWK) '\
173  BEGIN { nonempty = 0; } \
174  { items[$$0] = 1; nonempty = 1; } \
175  END { if (nonempty) { for (i in items) print i; }; } \
176'
177# Make sure the list of sources is unique.  This is necessary because,
178# e.g., the same source file might be shared among _SOURCES variables
179# for different programs/libraries.
180am__define_uniq_tagged_files = \
181  list='$(am__tagged_files)'; \
182  unique=`for i in $$list; do \
183    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
184  done | $(am__uniquify_input)`
185ETAGS = etags
186CTAGS = ctags
187CSCOPE = cscope
188DIST_SUBDIRS = $(SUBDIRS)
189am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
190	COPYING ChangeLog INSTALL NEWS TODO compile depcomp install-sh \
191	missing
192DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
193distdir = $(PACKAGE)-$(VERSION)
194top_distdir = $(distdir)
195am__remove_distdir = \
196  if test -d "$(distdir)"; then \
197    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
198      && rm -rf "$(distdir)" \
199      || { sleep 5 && rm -rf "$(distdir)"; }; \
200  else :; fi
201am__post_remove_distdir = $(am__remove_distdir)
202am__relativize = \
203  dir0=`pwd`; \
204  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
205  sed_rest='s,^[^/]*/*,,'; \
206  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
207  sed_butlast='s,/*[^/]*$$,,'; \
208  while test -n "$$dir1"; do \
209    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
210    if test "$$first" != "."; then \
211      if test "$$first" = ".."; then \
212        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
213        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
214      else \
215        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
216        if test "$$first2" = "$$first"; then \
217          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
218        else \
219          dir2="../$$dir2"; \
220        fi; \
221        dir0="$$dir0"/"$$first"; \
222      fi; \
223    fi; \
224    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
225  done; \
226  reldir="$$dir2"
227DIST_ARCHIVES = $(distdir).tar.gz
228GZIP_ENV = --best
229DIST_TARGETS = dist-gzip
230distuninstallcheck_listfiles = find . -type f -print
231am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
232  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
233distcleancheck_listfiles = find . -type f -print
234ACLOCAL = @ACLOCAL@
235AMTAR = @AMTAR@
236AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
237AUTOCONF = @AUTOCONF@
238AUTOHEADER = @AUTOHEADER@
239AUTOMAKE = @AUTOMAKE@
240AWK = @AWK@
241CC = @CC@
242CCDEPMODE = @CCDEPMODE@
243CFLAGS = @CFLAGS@
244CPP = @CPP@
245CPPFLAGS = @CPPFLAGS@
246CYGPATH_W = @CYGPATH_W@
247DEFS = @DEFS@
248DEPDIR = @DEPDIR@
249ECHO_C = @ECHO_C@
250ECHO_N = @ECHO_N@
251ECHO_T = @ECHO_T@
252EGREP = @EGREP@
253EXEEXT = @EXEEXT@
254GETOPT_LONG_LIB = @GETOPT_LONG_LIB@
255GREP = @GREP@
256INSTALL = @INSTALL@
257INSTALL_DATA = @INSTALL_DATA@
258INSTALL_PROGRAM = @INSTALL_PROGRAM@
259INSTALL_SCRIPT = @INSTALL_SCRIPT@
260INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
261LDFLAGS = @LDFLAGS@
262LIBOBJS = @LIBOBJS@
263LIBS = @LIBS@
264LTLIBOBJS = @LTLIBOBJS@
265MAKEINFO = @MAKEINFO@
266MKDIR_P = @MKDIR_P@
267OBJEXT = @OBJEXT@
268PACKAGE = @PACKAGE@
269PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
270PACKAGE_NAME = @PACKAGE_NAME@
271PACKAGE_STRING = @PACKAGE_STRING@
272PACKAGE_TARNAME = @PACKAGE_TARNAME@
273PACKAGE_URL = @PACKAGE_URL@
274PACKAGE_VERSION = @PACKAGE_VERSION@
275PATH_SEPARATOR = @PATH_SEPARATOR@
276RANLIB = @RANLIB@
277SET_MAKE = @SET_MAKE@
278SHELL = @SHELL@
279STRIP = @STRIP@
280VERSION = @VERSION@
281abs_builddir = @abs_builddir@
282abs_srcdir = @abs_srcdir@
283abs_top_builddir = @abs_top_builddir@
284abs_top_srcdir = @abs_top_srcdir@
285ac_ct_CC = @ac_ct_CC@
286am__include = @am__include@
287am__leading_dot = @am__leading_dot@
288am__quote = @am__quote@
289am__tar = @am__tar@
290am__untar = @am__untar@
291bindir = @bindir@
292build_alias = @build_alias@
293builddir = @builddir@
294datadir = @datadir@
295datarootdir = @datarootdir@
296docdir = @docdir@
297dvidir = @dvidir@
298exec_prefix = @exec_prefix@
299host_alias = @host_alias@
300htmldir = @htmldir@
301includedir = @includedir@
302infodir = @infodir@
303install_sh = @install_sh@
304libdir = @libdir@
305libexecdir = @libexecdir@
306localedir = @localedir@
307localstatedir = @localstatedir@
308mandir = @mandir@
309mkdir_p = @mkdir_p@
310oldincludedir = @oldincludedir@
311pdfdir = @pdfdir@
312prefix = @prefix@
313program_transform_name = @program_transform_name@
314psdir = @psdir@
315runstatedir = @runstatedir@
316sbindir = @sbindir@
317sharedstatedir = @sharedstatedir@
318srcdir = @srcdir@
319sysconfdir = @sysconfdir@
320target_alias = @target_alias@
321top_build_prefix = @top_build_prefix@
322top_builddir = @top_builddir@
323top_srcdir = @top_srcdir@
324EXTRA_DIST = ABOUT_FIXING HISTORY mpck.1 vc++ mp3checker debian README.md
325SUBDIRS = libgnugetopt-1.2 mpck
326man_MANS = mpck.1
327all: config.h
328	$(MAKE) $(AM_MAKEFLAGS) all-recursive
329
330.SUFFIXES:
331am--refresh: Makefile
332	@:
333$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
334	@for dep in $?; do \
335	  case '$(am__configure_deps)' in \
336	    *$$dep*) \
337	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
338	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
339		&& exit 0; \
340	      exit 1;; \
341	  esac; \
342	done; \
343	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
344	$(am__cd) $(top_srcdir) && \
345	  $(AUTOMAKE) --foreign Makefile
346Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
347	@case '$?' in \
348	  *config.status*) \
349	    echo ' $(SHELL) ./config.status'; \
350	    $(SHELL) ./config.status;; \
351	  *) \
352	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
353	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
354	esac;
355
356$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
357	$(SHELL) ./config.status --recheck
358
359$(top_srcdir)/configure:  $(am__configure_deps)
360	$(am__cd) $(srcdir) && $(AUTOCONF)
361$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
362	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
363$(am__aclocal_m4_deps):
364
365config.h: stamp-h1
366	@test -f $@ || rm -f stamp-h1
367	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
368
369stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
370	@rm -f stamp-h1
371	cd $(top_builddir) && $(SHELL) ./config.status config.h
372$(srcdir)/config.h.in:  $(am__configure_deps)
373	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
374	rm -f stamp-h1
375	touch $@
376
377distclean-hdr:
378	-rm -f config.h stamp-h1
379install-man1: $(man_MANS)
380	@$(NORMAL_INSTALL)
381	@list1=''; \
382	list2='$(man_MANS)'; \
383	test -n "$(man1dir)" \
384	  && test -n "`echo $$list1$$list2`" \
385	  || exit 0; \
386	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
387	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
388	{ for i in $$list1; do echo "$$i"; done;  \
389	if test -n "$$list2"; then \
390	  for i in $$list2; do echo "$$i"; done \
391	    | sed -n '/\.1[a-z]*$$/p'; \
392	fi; \
393	} | while read p; do \
394	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
395	  echo "$$d$$p"; echo "$$p"; \
396	done | \
397	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
398	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
399	sed 'N;N;s,\n, ,g' | { \
400	list=; while read file base inst; do \
401	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
402	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
403	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
404	  fi; \
405	done; \
406	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
407	while read files; do \
408	  test -z "$$files" || { \
409	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
410	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
411	done; }
412
413uninstall-man1:
414	@$(NORMAL_UNINSTALL)
415	@list=''; test -n "$(man1dir)" || exit 0; \
416	files=`{ for i in $$list; do echo "$$i"; done; \
417	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
418	  sed -n '/\.1[a-z]*$$/p'; \
419	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
420	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
421	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
422
423# This directory's subdirectories are mostly independent; you can cd
424# into them and run 'make' without going through this Makefile.
425# To change the values of 'make' variables: instead of editing Makefiles,
426# (1) if the variable is set in 'config.status', edit 'config.status'
427#     (which will cause the Makefiles to be regenerated when you run 'make');
428# (2) otherwise, pass the desired values on the 'make' command line.
429$(am__recursive_targets):
430	@fail=; \
431	if $(am__make_keepgoing); then \
432	  failcom='fail=yes'; \
433	else \
434	  failcom='exit 1'; \
435	fi; \
436	dot_seen=no; \
437	target=`echo $@ | sed s/-recursive//`; \
438	case "$@" in \
439	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
440	  *) list='$(SUBDIRS)' ;; \
441	esac; \
442	for subdir in $$list; do \
443	  echo "Making $$target in $$subdir"; \
444	  if test "$$subdir" = "."; then \
445	    dot_seen=yes; \
446	    local_target="$$target-am"; \
447	  else \
448	    local_target="$$target"; \
449	  fi; \
450	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
451	  || eval $$failcom; \
452	done; \
453	if test "$$dot_seen" = "no"; then \
454	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
455	fi; test -z "$$fail"
456
457ID: $(am__tagged_files)
458	$(am__define_uniq_tagged_files); mkid -fID $$unique
459tags: tags-recursive
460TAGS: tags
461
462tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
463	set x; \
464	here=`pwd`; \
465	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
466	  include_option=--etags-include; \
467	  empty_fix=.; \
468	else \
469	  include_option=--include; \
470	  empty_fix=; \
471	fi; \
472	list='$(SUBDIRS)'; for subdir in $$list; do \
473	  if test "$$subdir" = .; then :; else \
474	    test ! -f $$subdir/TAGS || \
475	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
476	  fi; \
477	done; \
478	$(am__define_uniq_tagged_files); \
479	shift; \
480	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
481	  test -n "$$unique" || unique=$$empty_fix; \
482	  if test $$# -gt 0; then \
483	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
484	      "$$@" $$unique; \
485	  else \
486	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
487	      $$unique; \
488	  fi; \
489	fi
490ctags: ctags-recursive
491
492CTAGS: ctags
493ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
494	$(am__define_uniq_tagged_files); \
495	test -z "$(CTAGS_ARGS)$$unique" \
496	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
497	     $$unique
498
499GTAGS:
500	here=`$(am__cd) $(top_builddir) && pwd` \
501	  && $(am__cd) $(top_srcdir) \
502	  && gtags -i $(GTAGS_ARGS) "$$here"
503cscope: cscope.files
504	test ! -s cscope.files \
505	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
506clean-cscope:
507	-rm -f cscope.files
508cscope.files: clean-cscope cscopelist
509cscopelist: cscopelist-recursive
510
511cscopelist-am: $(am__tagged_files)
512	list='$(am__tagged_files)'; \
513	case "$(srcdir)" in \
514	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
515	  *) sdir=$(subdir)/$(srcdir) ;; \
516	esac; \
517	for i in $$list; do \
518	  if test -f "$$i"; then \
519	    echo "$(subdir)/$$i"; \
520	  else \
521	    echo "$$sdir/$$i"; \
522	  fi; \
523	done >> $(top_builddir)/cscope.files
524
525distclean-tags:
526	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
527	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
528
529distdir: $(DISTFILES)
530	$(am__remove_distdir)
531	test -d "$(distdir)" || mkdir "$(distdir)"
532	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
533	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
534	list='$(DISTFILES)'; \
535	  dist_files=`for file in $$list; do echo $$file; done | \
536	  sed -e "s|^$$srcdirstrip/||;t" \
537	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
538	case $$dist_files in \
539	  */*) $(MKDIR_P) `echo "$$dist_files" | \
540			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
541			   sort -u` ;; \
542	esac; \
543	for file in $$dist_files; do \
544	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
545	  if test -d $$d/$$file; then \
546	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
547	    if test -d "$(distdir)/$$file"; then \
548	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
549	    fi; \
550	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
551	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
552	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
553	    fi; \
554	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
555	  else \
556	    test -f "$(distdir)/$$file" \
557	    || cp -p $$d/$$file "$(distdir)/$$file" \
558	    || exit 1; \
559	  fi; \
560	done
561	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
562	  if test "$$subdir" = .; then :; else \
563	    $(am__make_dryrun) \
564	      || test -d "$(distdir)/$$subdir" \
565	      || $(MKDIR_P) "$(distdir)/$$subdir" \
566	      || exit 1; \
567	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
568	    $(am__relativize); \
569	    new_distdir=$$reldir; \
570	    dir1=$$subdir; dir2="$(top_distdir)"; \
571	    $(am__relativize); \
572	    new_top_distdir=$$reldir; \
573	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
574	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
575	    ($(am__cd) $$subdir && \
576	      $(MAKE) $(AM_MAKEFLAGS) \
577	        top_distdir="$$new_top_distdir" \
578	        distdir="$$new_distdir" \
579		am__remove_distdir=: \
580		am__skip_length_check=: \
581		am__skip_mode_fix=: \
582	        distdir) \
583	      || exit 1; \
584	  fi; \
585	done
586	-test -n "$(am__skip_mode_fix)" \
587	|| find "$(distdir)" -type d ! -perm -755 \
588		-exec chmod u+rwx,go+rx {} \; -o \
589	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
590	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
591	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
592	|| chmod -R a+r "$(distdir)"
593dist-gzip: distdir
594	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
595	$(am__post_remove_distdir)
596
597dist-bzip2: distdir
598	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
599	$(am__post_remove_distdir)
600
601dist-lzip: distdir
602	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
603	$(am__post_remove_distdir)
604
605dist-xz: distdir
606	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
607	$(am__post_remove_distdir)
608
609dist-tarZ: distdir
610	@echo WARNING: "Support for distribution archives compressed with" \
611		       "legacy program 'compress' is deprecated." >&2
612	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
613	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
614	$(am__post_remove_distdir)
615
616dist-shar: distdir
617	@echo WARNING: "Support for shar distribution archives is" \
618	               "deprecated." >&2
619	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
620	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
621	$(am__post_remove_distdir)
622
623dist-zip: distdir
624	-rm -f $(distdir).zip
625	zip -rq $(distdir).zip $(distdir)
626	$(am__post_remove_distdir)
627
628dist dist-all:
629	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
630	$(am__post_remove_distdir)
631
632# This target untars the dist file and tries a VPATH configuration.  Then
633# it guarantees that the distribution is self-contained by making another
634# tarfile.
635distcheck: dist
636	case '$(DIST_ARCHIVES)' in \
637	*.tar.gz*) \
638	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
639	*.tar.bz2*) \
640	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
641	*.tar.lz*) \
642	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
643	*.tar.xz*) \
644	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
645	*.tar.Z*) \
646	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
647	*.shar.gz*) \
648	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
649	*.zip*) \
650	  unzip $(distdir).zip ;;\
651	esac
652	chmod -R a-w $(distdir)
653	chmod u+w $(distdir)
654	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
655	chmod a-w $(distdir)
656	test -d $(distdir)/_build || exit 0; \
657	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
658	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
659	  && am__cwd=`pwd` \
660	  && $(am__cd) $(distdir)/_build/sub \
661	  && ../../configure \
662	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
663	    $(DISTCHECK_CONFIGURE_FLAGS) \
664	    --srcdir=../.. --prefix="$$dc_install_base" \
665	  && $(MAKE) $(AM_MAKEFLAGS) \
666	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
667	  && $(MAKE) $(AM_MAKEFLAGS) check \
668	  && $(MAKE) $(AM_MAKEFLAGS) install \
669	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
670	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
671	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
672	        distuninstallcheck \
673	  && chmod -R a-w "$$dc_install_base" \
674	  && ({ \
675	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
676	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
677	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
678	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
679	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
680	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
681	  && rm -rf "$$dc_destdir" \
682	  && $(MAKE) $(AM_MAKEFLAGS) dist \
683	  && rm -rf $(DIST_ARCHIVES) \
684	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
685	  && cd "$$am__cwd" \
686	  || exit 1
687	$(am__post_remove_distdir)
688	@(echo "$(distdir) archives ready for distribution: "; \
689	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
690	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
691distuninstallcheck:
692	@test -n '$(distuninstallcheck_dir)' || { \
693	  echo 'ERROR: trying to run $@ with an empty' \
694	       '$$(distuninstallcheck_dir)' >&2; \
695	  exit 1; \
696	}; \
697	$(am__cd) '$(distuninstallcheck_dir)' || { \
698	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
699	  exit 1; \
700	}; \
701	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
702	   || { echo "ERROR: files left after uninstall:" ; \
703	        if test -n "$(DESTDIR)"; then \
704	          echo "  (check DESTDIR support)"; \
705	        fi ; \
706	        $(distuninstallcheck_listfiles) ; \
707	        exit 1; } >&2
708distcleancheck: distclean
709	@if test '$(srcdir)' = . ; then \
710	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
711	  exit 1 ; \
712	fi
713	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
714	  || { echo "ERROR: files left in build directory after distclean:" ; \
715	       $(distcleancheck_listfiles) ; \
716	       exit 1; } >&2
717check-am: all-am
718check: check-recursive
719all-am: Makefile $(MANS) config.h
720installdirs: installdirs-recursive
721installdirs-am:
722	for dir in "$(DESTDIR)$(man1dir)"; do \
723	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
724	done
725install: install-recursive
726install-exec: install-exec-recursive
727install-data: install-data-recursive
728uninstall: uninstall-recursive
729
730install-am: all-am
731	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
732
733installcheck: installcheck-recursive
734install-strip:
735	if test -z '$(STRIP)'; then \
736	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
737	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
738	      install; \
739	else \
740	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
741	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
742	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
743	fi
744mostlyclean-generic:
745
746clean-generic:
747
748distclean-generic:
749	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
750	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
751
752maintainer-clean-generic:
753	@echo "This command is intended for maintainers to use"
754	@echo "it deletes files that may require special tools to rebuild."
755clean: clean-recursive
756
757clean-am: clean-generic mostlyclean-am
758
759distclean: distclean-recursive
760	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
761	-rm -f Makefile
762distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
763
764dvi: dvi-recursive
765
766dvi-am:
767
768html: html-recursive
769
770html-am:
771
772info: info-recursive
773
774info-am:
775
776install-data-am: install-man
777
778install-dvi: install-dvi-recursive
779
780install-dvi-am:
781
782install-exec-am:
783
784install-html: install-html-recursive
785
786install-html-am:
787
788install-info: install-info-recursive
789
790install-info-am:
791
792install-man: install-man1
793
794install-pdf: install-pdf-recursive
795
796install-pdf-am:
797
798install-ps: install-ps-recursive
799
800install-ps-am:
801
802installcheck-am:
803
804maintainer-clean: maintainer-clean-recursive
805	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
806	-rm -rf $(top_srcdir)/autom4te.cache
807	-rm -f Makefile
808maintainer-clean-am: distclean-am maintainer-clean-generic
809
810mostlyclean: mostlyclean-recursive
811
812mostlyclean-am: mostlyclean-generic
813
814pdf: pdf-recursive
815
816pdf-am:
817
818ps: ps-recursive
819
820ps-am:
821
822uninstall-am: uninstall-man
823
824uninstall-man: uninstall-man1
825
826.MAKE: $(am__recursive_targets) all install-am install-strip
827
828.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
829	am--refresh check check-am clean clean-cscope clean-generic \
830	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
831	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
832	distcheck distclean distclean-generic distclean-hdr \
833	distclean-tags distcleancheck distdir distuninstallcheck dvi \
834	dvi-am html html-am info info-am install install-am \
835	install-data install-data-am install-dvi install-dvi-am \
836	install-exec install-exec-am install-html install-html-am \
837	install-info install-info-am install-man install-man1 \
838	install-pdf install-pdf-am install-ps install-ps-am \
839	install-strip installcheck installcheck-am installdirs \
840	installdirs-am maintainer-clean maintainer-clean-generic \
841	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
842	tags-am uninstall uninstall-am uninstall-man uninstall-man1
843
844.PRECIOUS: Makefile
845
846
847# Tell versions [3.59,3.63) of GNU make to not export all variables.
848# Otherwise a system limit (for SysV at least) may be exceeded.
849.NOEXPORT:
850